[org 0x7c00]

main:
    ; Video mode
    mov ax, 0x13
    int 0x10
    
    call mouse_initialize
    call mouse_enable
    
lp:
    cli
    mov bx, [mouseX]
    call print_hex
    mov bx, [mouseY]
    sti
    
    jmp lp

jmp $ ; Halt

; Make sure includes are done last, otherwise the first include will become main
%include "print_util.asm"
;%include "input_util.asm"
;%include "num_util.asm"
%include "mouse_util.asm"

; Make sure data is *inside* the boot sector, or it will not be copied to the right place
; in memory.


times 510-($-$$) db 0
dw 0xaa55
